post
https://api.connex.trade/api/v1/trading/rapidxLoan/loan/borrow
Borrowed assets are credited to the portfolio's account on the exchange.
Permission
- Applies to both primary user and trading portfolio's API Key.
- Permission: TRADE.
Rate Limit
- 50 requests per 10 seconds.
Request
| Field name | Type | Necessary | Remarks |
|---|---|---|---|
| coin | String | Y | Borrowed currency. |
| exchange | String | Y | Borrowed assets are credited to this exchange. |
| amount | String | Y | Borrowed amount. Must be greater than 0, with 2 decimal places. |
| clientOrderId | String | N | Client idempotency ID. Maximum 64 characters. |
Response
| Field name | Type | Remarks |
|---|---|---|
| orderId | String | Loan order ID. |
| borrowed | BigDecimal | Actual borrowed amount for this transaction. |
| loanBalance | BigDecimal | Loan balance of this currency after borrowing. |
| availableBalance | BigDecimal | Available balance of this currency after borrowing. |
| timestamp | int64 | Transaction timestamp in milliseconds. |
